[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# IEnumerator.Reset

Reset the pointer

## Declaration

Source position: objpash.inc line 276

`procedure IEnumerator.Reset;`

## Description

Reset can be implemented to put the pointer at the start of the list. It is not mandatory to implement this method, the compiler does not use it.

## See also

IEnumerator.GetCurrent |  | Returns the current element in the iteration cycle
IEnumerator.MoveNext |  | Move to the next value